FEDORA-2019-75a6f3b711

security update in Fedora 29 for squid

Status: obsolete

Security fix for CVE-2019-12525 CVE-2019-12527 CVE-2019-12529 CVE-2019-12854 .

  • update to version 4.8

Security fix for CVE-2019-13345.

Comments 9

This update has been submitted for testing by luhliarik.

This update test gating status has been changed to 'waiting'.

This update has obsoleted squid-4.4-2.fc29, and has inherited its bugs and notes.

This update test gating status has been changed to 'ignored'.

This update has been pushed to testing.

This update can be pushed to stable now if the maintainer wishes

This update has been obsoleted by squid-4.8-2.fc29.

Add Comment & Feedback

Please login to add feedback.

Content Type
RPM
Status
obsolete
Test Gating
Submitted by
Update Type
security
Update Severity
medium
Karma
+2
stable threshold: 3
unstable threshold: -3
Autopush (karma)
Enabled
Autopush (time)
Disabled
Dates
submitted 3 months ago
in testing 3 months ago

Related Bugs 5

00 #1727745 CVE-2019-13345 squid: XSS via user_name or auth parameter in cachemgr.cgi [fedora-all]
00 #1730524 CVE-2019-12854 squid: denial of service in cachemgr.cgi [fedora-all]
00 #1730529 CVE-2019-12529 squid: information disclosure in Proxy-Authorization header [fedora-all]
00 #1730534 CVE-2019-12527 squid: heap-based buffer overflow in HttpHeader::getAuth [fedora-all]
00 #1730536 CVE-2019-12525 squid: parsing of header Proxy-Authentication leads to memory corruption [fedora-all]

Automated Test Results